// OK  le 15 /06 /11 sur 64MC802
// exemple de mise en oeuvre de convertion ADC
// scénario: automatic sample , trigerred  conv (déclenchement auto sur timer 3)
//	
// 1 capteurs sur AN2 à convertir 
// IT ADC sur timer 3 (automatique car AD1CON1bits.SSRC   = 0b010 = Conversion déclenchée par timer 3

#include "p33FJ64MC802.h"

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <timer.h>


#include "ConfigSystem.h"  // definition des labels Fcy etc....
#include "delay.h"





_FOSCSEL(FNOSC_FRC);			
_FOSC(FCKSM_CSECMD & OSCIOFNC_OFF  & POSCMD_XT);	// Clock Switching is enabled and Fail Safe Clock Monitor is disabled
													// OSC2 Pin Function: OSC2 is Clock Output
													// Primary Oscillator Mode: XT Crystal
_FWDT(FWDTEN_OFF); 


// les differentes configs on été eclatées dans des fichiers distinct
// meilleure visibilité

extern void UART_puts(char * string);
extern  void InitClock();
extern void InitUART();
extern void InitPORT_AND_PIN();




unsigned char BUFFER[30]={0};
unsigned int val;
unsigned char flagIT=0;
unsigned char scanCounter=0; // compteur de voie
unsigned char HelloMsg[7]="Bonjour";


int main ( void )
{


	

	InitClock();	// This is the PLL settings	
	InitPORT_AND_PIN();
	InitUART();


	UART_puts(HelloMsg);


    /* Infinite Loop */


    while ( 1 )
	{  
	}


}